Bug 118231 - [WK2][Gtk] Add support for ENABLE_NETWORK_PROCESS to the build system
: [WK2][Gtk] Add support for ENABLE_NETWORK_PROCESS to the build system
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Platform
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Kwang Yul Seo
:
Depends on: 110097 110115 110136 125415
Blocks: 108832
  Show dependency treegraph
 
Reported: 2013-07-01 00:24 PDT by Kwang Yul Seo
Modified: 2013-12-09 01:34 PST (History)
10 users (show)

See Also:


Attachments
Patch (17.18 KB, patch)
2013-07-01 02:25 PDT, Kwang Yul Seo
no flags Details | Formatted Diff | Diff
Patch (17.22 KB, patch)
2013-07-02 21:32 PDT, Kwang Yul Seo
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-15 for mac-mountainlion-wk2 (484.73 KB, application/zip)
2013-07-02 23:16 PDT, Build Bot
no flags Details
Archive of layout-test-results from APPLE-EWS-1 for win-future (843.41 KB, application/zip)
2013-07-04 10:02 PDT, Build Bot
no flags Details
Patch (17.19 KB, patch)
2013-12-08 11:35 PST, Brian Holt
no flags Details | Formatted Diff | Diff
Patch (17.05 KB, patch)
2013-12-09 00:48 PST, Brian Holt
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kwang Yul Seo 2013-07-01 00:24:32 PDT
Build NetworkProcess.
Comment 1 Kwang Yul Seo 2013-07-01 02:25:20 PDT
Created attachment 205790 [details]
Patch
Comment 2 Kwang Yul Seo 2013-07-01 03:53:45 PDT
gtk-wk2 build failed because the bugs on which this bug depends are not yet resolved.
Comment 3 Kwang Yul Seo 2013-07-02 21:32:37 PDT
Created attachment 205967 [details]
Patch
Comment 4 Kwang Yul Seo 2013-07-02 21:32:57 PDT
(In reply to comment #3)
NetworkProcessGtk.cpp -> NetworkProcessSoup.cpp
Comment 5 kov's GTK+ EWS bot 2013-07-02 22:25:23 PDT
Comment on attachment 205967 [details]
Patch

Attachment 205967 [details] did not pass gtk-wk2-ews (gtk-wk2):
Output: http://webkit-queues.appspot.com/results/1020302
Comment 6 Build Bot 2013-07-02 23:16:56 PDT
Comment on attachment 205967 [details]
Patch

Attachment 205967 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/1020314

New failing tests:
webaudio/javascriptaudionode-downmix8-2channel-input.html
Comment 7 Build Bot 2013-07-02 23:16:58 PDT
Created attachment 205969 [details]
Archive of layout-test-results from webkit-ews-15 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-15  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.3
Comment 8 Build Bot 2013-07-04 10:02:35 PDT
Comment on attachment 205967 [details]
Patch

Attachment 205967 [details] did not pass win-ews (win):
Output: http://webkit-queues.appspot.com/results/1030059

New failing tests:
fast/forms/select/popup-closes-on-blur.html
media/video-frame-accurate-seek.html
Comment 9 Build Bot 2013-07-04 10:02:38 PDT
Created attachment 206100 [details]
Archive of layout-test-results from APPLE-EWS-1 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: APPLE-EWS-1  Port: win-future  Platform: CYGWIN_NT-6.1-WOW64-1.7.20-0.266-5-3-i686-32bit
Comment 10 Kwang Yul Seo 2013-07-04 16:30:58 PDT
(In reply to comment #9)
> The attached test failures were seen while running run-webkit-tests on the win-ews.
> Bot: APPLE-EWS-1  Port: win-future  Platform: CYGWIN_NT-6.1-WOW64-1.7.20-0.266-5-3-i686-32bit

It seems this test is flakey because this patch has nothing to do with Windows port.
Comment 11 Csaba Osztrogonác 2013-10-15 05:39:00 PDT
It shouldn't depend on https://bugs.webkit.org/show_bug.cgi?id=110141 .

We can add the files to the buildsystem now, because ENABLE(NETWORK_PROCESS)
is false by default.
Comment 12 Brian Holt 2013-12-08 11:35:22 PST
Created attachment 218701 [details]
Patch
Comment 13 Brian Holt 2013-12-09 00:48:44 PST
Created attachment 218731 [details]
Patch
Comment 14 WebKit Commit Bot 2013-12-09 01:34:24 PST
Comment on attachment 218731 [details]
Patch

Clearing flags on attachment: 218731

Committed r160302: <http://trac.webkit.org/changeset/160302>
Comment 15 WebKit Commit Bot 2013-12-09 01:34:27 PST
All reviewed patches have been landed.  Closing bug.